Bug 124124 - Flickering - Random horizontal white lines
Flickering - Random horizontal white lines
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-24 06:30 EDT by yamaha7
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-22 10:23:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X configuration file (2.74 KB, text/plain)
2004-05-24 06:32 EDT, yamaha7
no flags Details
X log for 16 bit mode (no horizontal white lines / corruption) (35.37 KB, text/plain)
2004-05-26 17:16 EDT, Glenn Callow
no flags Details
X log file for 24 bit mode (many white lines / corruption) (35.19 KB, text/plain)
2004-05-26 17:17 EDT, Glenn Callow
no flags Details
dmesg output (11.45 KB, text/plain)
2004-05-26 17:18 EDT, Glenn Callow
no flags Details

  None (edit)
Description yamaha7 2004-05-24 06:30:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Video Harware:  NV17 (GeForce4 MX 440)
Driver Installed:  NVIDIA GeForce 4 (generic)

As best I can explain you can see the retrace lines as the screen
refreshes itself.  you see a white dash then nothing as it makes its
way from top to botton of the screen.


This problem was introduced in Fedora Core 2.  Core 1 was not a
problem.  I've also encountered this problem running Red Hat
Enterprise WS on the same machine.

When I try to install Nvidia driver for 3D support the screen will
never come up.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Get the appropriated video card and fire up the system no
configuring need be done.
2.
3.
    

Actual Results:  Flickering

Expected Results:  nothing

Additional info:
Comment 1 yamaha7 2004-05-24 06:32:02 EDT
Created attachment 100488 [details]
X configuration file
Comment 2 Glenn Callow 2004-05-26 17:15:54 EDT
I'm also experiencing the same problem with the same model card ( A
ChainTech GeForce 4 MX440 ).  The problem only occurs in 24 bit mode
though - if I change my xorg.conf to 16 bit mode the problem goes away.

The machine is an Athlon 2000 XP, with a VIA KT333 motherboard.

I've attached my config file, dmesg output and Xorg.log for both 16
bit and 24 bit modes (the diff shows little difference though).
Comment 3 Glenn Callow 2004-05-26 17:16:48 EDT
Created attachment 100612 [details]
X log for 16 bit mode (no horizontal white lines / corruption)
Comment 4 Glenn Callow 2004-05-26 17:17:38 EDT
Created attachment 100613 [details]
X log file for 24 bit mode (many white lines / corruption)
Comment 5 Glenn Callow 2004-05-26 17:18:52 EDT
Created attachment 100614 [details]
dmesg output
Comment 6 yamaha7 2004-05-27 10:01:30 EDT
Confirmed:  16bit is fine 24bit flickering
Comment 7 Mike A. Harris 2004-12-22 10:23:50 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.